Page MenuHomePhabricator

Determine method of getting changes (diffs) to the nodepool instances
Closed, ResolvedPublic

Description

From our notes in our weekly meeting today:

Option 1 - no staging repo

  • clone master of the repo on instance
  • arc patch Dwhatever

Option 2 - single staging repo

  • keeping the staging repo up to date on instances
  • staging repo likely unmanagably large

Option 3 - staging within each repo

  • saves space
  • easy to checkout any revision you want (without having to use arc)
  • clutters the refs/tags/* namespace with one tag for every differential change
    • Hopefully phabricator will eventually move to using an alternate namespace like refs/changes in gerrit. This would avoid the clutter while maintaining the benefits of staging changes within each repo.

Event Timeline

greg created this task.Mar 31 2016, 4:48 PM
mmodell updated the task description. (Show Details)Apr 7 2016, 9:02 PM
mmodell updated the task description. (Show Details)Apr 7 2016, 9:06 PM
  1. has some real drawbacks and likely isn't 100% reliable. One example: https://secure.phabricator.com/T9069
  2. is probably manageable and avoids the clutter of #3.
  3. I'm leaning towards option #3 with the one caveat: it will clutter up the tags namespace one every repository with a bunch of phabricator changes.
greg moved this task from To Triage to Backlog on the Differential board.May 12 2016, 10:36 PM

I'm currently testing out Option 1 to find out how reliable it really is.

greg assigned this task to mmodell.Jun 9 2016, 7:08 PM
mmodell closed this task as Resolved.Jun 22 2016, 11:32 PM

Conclusion:

  1. Works for now
  2. I believe this is now possible without cluttering the tags namespace, need to make a few tweaks to phabricator staging repo code. We can implement this later.